Richard W.M. Jones | 21 May 2013 12:28
Picon
Favicon
Gravatar

Plan for libguestfs 1.22

It has been 5 months since the last stable release of libguestfs and
over that time we've accumulated many exciting new features:

http://libguestfs.org/guestfs-release-notes.1.html#release-notes-for-libguestfs-1.22

It's time to plan for the release of libguestfs 1.22.

As usual, bugs which have "1.22" (without quotes) in the devel
whiteboard field are nominated as blockers for the release.  You can
see a list of those here, currently empty:

https://bugzilla.redhat.com/buglist.cgi?query_format=advanced&field0-0-0=cf_devel_whiteboard&bug_status=NEW&bug_status=ASSIGNED&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=FAILS_QA&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=PASSES_QA&type0-0-0=anywords&value0-0-0=1.22&component=libguestfs&product=Virtualization%20Tools
or http://tinyurl.com/n7agtte

For a list of all bugs, go to:

https://bugzilla.redhat.com/buglist.cgi?component=libguestfs&product=Virtualization+Tools

If there are any other features / blockers / problems that need to be
addressed, let me know.

I will also be releasing Ubuntu packages (on libguestfs.org, not in a
PPA) at the same time as the release.

This release will also be the basis for Fedora 19 and RHEL 7.0.

When this release comes out, 1.16 and 1.18 branches will cease to be
supported.

Rich.
(Continue reading)

Kashyap Chamarthy | 20 May 2013 06:20
Picon
Favicon

"make check" hangs after running for a little while

That's what I issued and hit the hay last night.

    $ make -k check LIBGUESTFS_DEBUG=1 LIBGUESTFS_TRACE=1 |& tee /tmp/log

I woke up to see the tests still hung like that on stdout

--------------------------
[...]
make -C ../src guestfs_protocol.c

                       [0/9008]
make[3]: Entering directory `/home/kashyap/src/libguestfs/src'
! test -f ../generator/Makefile || \
  make -C ../generator stamp-generator
make[4]: Entering directory `/home/kashyap/src/libguestfs/generator'
make[4]: `stamp-generator' is up to date.
make[4]: Leaving directory `/home/kashyap/src/libguestfs/generator'
make[3]: Leaving directory `/home/kashyap/src/libguestfs/src'
make -C ../src guestfs_protocol.h
make[3]: Entering directory `/home/kashyap/src/libguestfs/src'
! test -f ../generator/Makefile || \
  make -C ../generator stamp-generator
make[4]: Entering directory `/home/kashyap/src/libguestfs/generator'
make[4]: `stamp-generator' is up to date.
make[4]: Leaving directory `/home/kashyap/src/libguestfs/generator'
make[3]: Leaving directory `/home/kashyap/src/libguestfs/src'
! test -f ../generator/Makefile || \
  make -C ../generator stamp-generator
make[3]: Entering directory `/home/kashyap/src/libguestfs/generator'
make[3]: `stamp-generator' is up to date.
(Continue reading)

Jan Lieskovsky | 19 May 2013 15:14
Picon
Favicon

[PATCH 0/1] guestfish: Tab-complete single / double quoted filenames containing space - introduce list_directory_entries() routine

This series provides support for tab completion also for single / double
quoted filenames, which can contain space.

Patch 0/1 - separates guestfs list directory content functionality
            (from complete_dest_paths_generator()) into dedicated
            list_directory_entries() routine, so it can be subsequently
            re-used in other code places.

Patch 1/1 - introduces fish_completion_word_break_characters_hook for
            guestfish (depends on list_directory_entries()).

Thank you && Regards, Jan.
--
Jan iankko Lieskovsky

P.S.: Feel free to remove the comment lines, if you find them unnecessary.
_______________________________________________
Libguestfs mailing list
Libguestfs <at> redhat.com
https://www.redhat.com/mailman/listinfo/libguestfs
Jan Lieskovsky | 19 May 2013 15:23
Picon
Favicon

[PATCH 1/1] guestfish: Tab-complete single / double quoted filenames containing space -- add fish_completion_word_break_characters_hook


This patch introduces fish_completion_word_break_characters_hook - Readline's
rl_completion_word_break_hook for guestfish so tab-completion on / for single /
double quoted filenames containing space would be possible too - this covers
part:

  "In addition:
  ><fs> ls "/Program Files/<tab>
    doesn't show any files to complete."

from RH BZ#547488.

Thank you, Jan.
--
Jan iankko Lieskovsky

P.S.: Feel free to remove the comment lines, if you find them unnecessary.

P.S.#2: Have got a patch for completion of unquoted filenames containing space
        too already, but need to give it further testing => will submit in
        separated post later.
_______________________________________________
Libguestfs mailing list
Libguestfs <at> redhat.com
https://www.redhat.com/mailman/listinfo/libguestfs
Hilko Bengen | 19 May 2013 15:53
Picon

[PATCH] run: Don't fail on missing LIBGUESTFS_PATH if --disable-appliance

Set LIBGUESTFS_PATH to the default value compiled into and output a
warning to STDERR, instead.

The previous behavior caused the build to abort when trying to build
the sysprep documentation -- without much of a hint of what went
wrong.

When LIBGUESTFS_PATH was not set, test-events.sh would fail.
---
 run.in |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/run.in b/run.in
index 7545f0b..5adaa3a 100755
--- a/run.in
+++ b/run.in
 <at>  <at>  -66,9 +66,11  <at>  <at>  chcon --reference=/tmp tmp 2>/dev/null ||:
 if [ "x <at> ENABLE_APPLIANCE <at> " = "xyes" ]; then
     export LIBGUESTFS_PATH="$b/appliance"
 elif [ -z "$LIBGUESTFS_PATH" ]; then
-    echo "run: error: You used './configure --disable-appliance' so you must put an"
-    echo "run: error: appliance somewhere and set LIBGUESTFS_PATH to point to it."
-    exit 1
+    cat <<'EOF' >&2
+run: warning: LIBGUESTFS_PATH is not set. Setting it to  <at> libdir <at> /guestfs
+EOF
+    LIBGUESTFS_PATH= <at> libdir <at> /guestfs
+    export LIBGUESTFS_PATH
 fi

(Continue reading)

Hilko Bengen | 17 May 2013 22:28
Picon

[PATCH] run: Turn error message about missing LIBGUESTFS_PATH into warning; output to STDERR

The previous behavior caused the build to abort when trying to build
the sysprep documentation -- without much of a hint of what went
wrong.
---
 run.in |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/run.in b/run.in
index 7545f0b..9f92306 100755
--- a/run.in
+++ b/run.in
 <at>  <at>  -66,9 +66,10  <at>  <at>  chcon --reference=/tmp tmp 2>/dev/null ||:
 if [ "x <at> ENABLE_APPLIANCE <at> " = "xyes" ]; then
     export LIBGUESTFS_PATH="$b/appliance"
 elif [ -z "$LIBGUESTFS_PATH" ]; then
-    echo "run: error: You used './configure --disable-appliance' so you must put an"
-    echo "run: error: appliance somewhere and set LIBGUESTFS_PATH to point to it."
-    exit 1
+    cat <<'EOF' >&2
+run: warning: You used './configure --disable-appliance' so LIBGUESTFS_PATH
+run: warning: has not been set oautomatically.
+EOF
 fi

 if [ -z "$LD_LIBRARY_PATH" ]; then
--

-- 
1.7.10.4
Mo Morsi | 16 May 2013 22:27
Picon
Favicon
Gravatar

support remotely mounting disk images in p2v

Figure I'd share the latest revision to p2v I had regarding $subject.

The patch now applies against HEAD and compiles fine. I was able to update
the package on the client and run virt-p2v, though have yet to do a full
end-to-end verification

Most likely a little more work is needed to tidy up some edge cases and fully
flush things out, but the majority of the work should be in place.

On the client side the disk is exported using qemu-nbd and an new ssh forwarding
channel is opened up infront of it. The server simply instructs libguestfs to connect
to nbd://localhost:port/ and the rest is taken care of.
Hilko Bengen | 16 May 2013 22:13
Picon

[PATCH] Use pkg-config for Python

At least libpython2.7-dev and libpython3.3-dev on current
Debian/unstable ship with pkg-config files. As with the pkg-config
check for Lua, we check for versioned and an unversioned .pc files.

---
 configure.ac       |   35 ++++++++++++++++++++---------------
 python/Makefile.am |    2 +-
 2 files changed, 21 insertions(+), 16 deletions(-)

diff --git a/configure.ac b/configure.ac
index c809741..0aa1716 100644
--- a/configure.ac
+++ b/configure.ac
 <at>  <at>  -1106,7 +1106,6  <at>  <at>  AM_CONDITIONAL([HAVE_PERL],
 dnl Check for Python (optional, for Python bindings).
 PYTHON_PREFIX=
 PYTHON_VERSION=
-PYTHON_INCLUDEDIR=
 PYTHON_INSTALLDIR=

 AC_ARG_ENABLE([python],
 <at>  <at>  -1117,23 +1116,30  <at>  <at>  AS_IF([test "x$enable_python" != "xno"],[
     AC_CHECK_PROG([PYTHON],[python],[python],[no])

     if test "x$PYTHON" != "xno"; then
-        AC_MSG_CHECKING([Python prefix])
-        PYTHON_PREFIX=`$PYTHON -c "import sys; print (sys.prefix)"`
-        AC_MSG_RESULT([$PYTHON_PREFIX])
-
 	AC_MSG_CHECKING([Python version])
(Continue reading)

Matthew Booth | 16 May 2013 17:24
Picon
Favicon
Gravatar

[PATCH] Fix compiler warning when libselinux is not present

static function selinux_warning() isn't used if HAVE_LIBSELINUX isn't
defined, which results in a warning.
---
 src/launch-libvirt.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/launch-libvirt.c b/src/launch-libvirt.c
index 4588602..10a4d2c 100644
--- a/src/launch-libvirt.c
+++ b/src/launch-libvirt.c
 <at>  <at>  -138,7 +138,10  <at>  <at>  static int make_drive_priv (guestfs_h *g, struct drive *drv, const char *selinux
 static void drive_free_priv (void *);
 static void set_socket_create_context (guestfs_h *g);
 static void clear_socket_create_context (guestfs_h *g);
+
+#if HAVE_LIBSELINUX
 static void selinux_warning (guestfs_h *g, const char *func, const char *selinux_op, const char *data);
+#endif

 static int
 launch_libvirt (guestfs_h *g, const char *libvirt_uri)
 <at>  <at>  -1716,6 +1719,7  <at>  <at>  libvirt_error (guestfs_h *g, const char *fs, ...)
   free (msg);
 }

+#if HAVE_LIBSELINUX
 static void
 selinux_warning (guestfs_h *g, const char *func,
                  const char *selinux_op, const char *data)
 <at>  <at>  -1724,6 +1728,7  <at>  <at>  selinux_warning (guestfs_h *g, const char *func,
(Continue reading)

Hilko Bengen | 15 May 2013 11:25
Picon

Debian 6 (squeeze) backports of libguestfs etc.

Hi,

Backports of the libguestfs, febootstrap, and hivex packages that have
been shipped with Debian 7 (wheezy) for Debian 6 (squeeze) are now
available via backports.debian.org. The versions are:

libguestfs  1:1.18.1-1+deb7u2~bpo60+1
febootstrap 3.17-1~bpo60+1
hivex       1.3.6-2~bpo60+1

I have also removed the archive of older backports that was previously
available at <http://people.debian.org/~bengen/libguestfs/>.

Cheers,
-Hilko
Kashyap Chamarthy | 14 May 2013 14:11
Picon
Favicon

guestfish runs w/ a nested guest

# Ref: http://libguestfs.org/guestfs-performance.1.html

Run the below command:

    $ time guestfish -a /dev/null run

NOTE: Discard the first few results, to get a hot cache. (Thanks Rich.)

1/ L0. with L1 running.
----------------------------------------------------------------------
    $ for i in {1..10}; do time guestfish -a /dev/null run; done
    real    0m28.277s
    user    0m11.028s
    sys     0m0.706s

    real    0m2.753s
    user    0m0.054s
    sys     0m0.049s

    real    0m2.771s
    user    0m0.063s
    sys     0m0.044s

    real    0m2.774s
    user    0m0.053s
    sys     0m0.044s

    real    0m2.772s
    user    0m0.054s
    sys     0m0.049s
(Continue reading)


Gmane